Package Details: unknown-horizons 2019.1-2

Git Clone URL: https://aur.archlinux.org/unknown-horizons.git (read-only)
Package Base: unknown-horizons
Description: 2D realtime strategy simulation with an emphasis on economy and city building.
Upstream URL: http://www.unknown-horizons.org/
Keywords: Anno Game OpenSource Realtime Strategy
Licenses: GPL, CCPL
Conflicts: unknown-horizons-git
Submitter: biginoz
Maintainer: Lucki
Last Packager: Lucki
Votes: 81
Popularity: 0.288037
First Submitted: 2010-08-17 18:05
Last Updated: 2019-06-14 14:36

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

Anonymous comment on 2011-11-02 17:19

$ unknown-horizons
Traceback (most recent call last):
File "/usr/bin/unknown-horizons", line 422, in <module>
main()
File "/usr/bin/unknown-horizons", line 185, in main
import horizons.main
File "/usr/lib/python2.7/site-packages/horizons/main.py", line 43, in <module>
from horizons.util import ActionSetLoader, TileSetLoader, Color, parse_port
File "/usr/lib/python2.7/site-packages/horizons/util/__init__.py", line 35, in <module>
from sqliteanimationloader import SQLiteAnimationLoader
File "/usr/lib/python2.7/site-packages/horizons/util/sqliteanimationloader.py", line 28, in <module>
class SQLiteAnimationLoader(fife.ResourceLoader):
AttributeError: 'module' object has no attribute 'ResourceLoader'

narendiran commented on 2011-09-11 10:08

Got this error during installation

==> Making package: unknown-horizons 2011.2-1 (Sun Sep 11 15:34:05 IST 2011)
==> Checking runtime dependencies...
==> Installing missing dependencies...
error: target not found: fife
==> ERROR: 'pacman' failed to install missing dependencies.

ChrisOelmueller commented on 2011-07-03 20:36

The settings file located in ~/.unknown-horizons/settings.xml should be removed with major updates. Afterwards 2011.2 will properly start.

ChrisOelmueller commented on 2011-07-03 20:31

The settings file located in ~/.unknown-horizons/settings.xml should be removed with major updates. Afterwards 2011.2 will properly start.

ajs124 commented on 2011-07-03 13:01

http://pastebin.com/Mc0m98wM
update to 2011.2 but fails with:
Updating settings.xml to the default, it is missing the entry: EdgeScrolling for module unknownhorizons
Traceback (most recent call last):
File "/usr/bin/unknown-horizons", line 422, in <module>
main()
File "/usr/bin/unknown-horizons", line 189, in main
ret = horizons.main.start(options)
File "/usr/lib/python2.7/site-packages/horizons/main.py", line 86, in start
fife = Fife()
File "/usr/lib/python2.7/site-packages/horizons/engine.py", line 84, in __init__
self._setup_settings()
File "/usr/lib/python2.7/site-packages/horizons/engine.py", line 126, in _setup_settings
self._setting.createAndAddEntry(UH_MODULE, "EdgeScrolling", "edgescrolling")
File "/usr/lib/python2.7/site-packages/fife/extensions/fife_settings.py", line 197, in createAndAddEntry
self.addEntry(entry)
File "/usr/lib/python2.7/site-packages/fife/extensions/fife_settings.py", line 212, in addEntry
self.setDefaults()
File "/usr/lib/python2.7/site-packages/horizons/engine.py", line 73, in setDefaults
confirmed = horizons.main._modules.gui.show_popup(title, msg, \
AttributeError: 'NoneType' object has no attribute 'show_popup'

nihathrael commented on 2011-04-18 21:28

Please update to 2011.1, files are available on sourceforge.

ajs124 commented on 2010-10-20 17:55

update to new python path (because python3 default)

acoolon commented on 2010-10-11 07:42

please change line 11 'python-distultils-extra' to 'python-distutils-extra'
and there is no 'fife' package, but 'fife-svn'

acoolon commented on 2010-10-11 07:14

please change line 11 'python-distultils-extra' to 'python-distutils-extra'

ajs124 commented on 2010-10-03 09:54

http://aur.pastebin.com/8GwyDk0q
updated to version 2010.1...